Name:          stk11xx
Version:       2.1.0
Release:       13mamba
Summary:       Syntek Semicon DC-1125 Driver
Group:         System/Kernel and Hardware/Drivers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://syntekdriver.sourceforge.net
Source:        http://downloads.sourceforge.net/sourceforge/syntekdriver/stk11xx-%{version}.tar.gz
Patch0:        %{name}-2.1.0-kernel-2.6.37.patch
Patch1:        %{name}-2.1.0-kernel-2.6.38.patch
License:       GPL
Obsoletes:     kernel-mamba-64GB-stk11xx
Obsoletes:     kernel-mamba-64GB-rt-stk11xx
Obsoletes:     kernel-mamba-stk11xx
Obsoletes:     kernel-mamba-rt-stk11xx
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Linux/Unix driver development for Syntek Semicon USB2.0 Video device DC-1125, like the one that is found in Asus A6K laptops. The device can be recognized by the usb id 174f:a311 and maybe also be a standalone unit (not integrated).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

# dkms
install -d -m0755 %{buildroot}%{_prefix}/src/%{name}-%{version}
cp -a * %{buildroot}%{_prefix}/src/%{name}-%{version}/
cat > %{buildroot}%{_prefix}/src/%{name}-%{version}/dkms.conf << _EOF
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}
MAKE="make -f Makefile.standalone driver KVER=\${kernelver} KDIR=\${kernel_source_dir}"
CLEAN="make -f Makefile.standalone clean KVER=\${kernelver} KDIR=\${kernel_source_dir}"
BUILT_MODULE_NAME=\${PACKAGE_NAME}
BUILT_MODULE_LOCATION=.
DEST_MODULE_LOCATION=/extra/drivers/usb/media/
REMAKE_INITRD=no
AUTOINSTALL=yes
_EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%preun
dkms remove -q -m %{name} -v %{version} --all --rpm_safe_upgrade
:

%posttrans
if [ $1 -ge 1 ]; then
   # clean any legacy alternatives symlink
   dkms remove -q -m %{name} -v %{version} --all --rpm_safe_upgrade
   dkms add -q -m %{name} -v %{version}
   dkms install -q -m %{name} -v %{version}
fi
:

%files
%defattr(-,root,root)
%dir %{_prefix}/src/%{name}-%{version}
%{_prefix}/src/%{name}-%{version}/*

%changelog
* Tue Jul 01 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-13mamba
- switched to dkms

* Sun Sep 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-12mamba
- kernel 3.10 rebuild

* Fri Jan 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-11mamba
- kernel 3.4 rebuild

* Mon Nov 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-10mamba
- bump release up for milestone2 update

* Sat Oct 27 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-9mamba
- kernel 3.6 rebuild

* Sat Jun 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-8mamba
- automatic update by autodist

* Sun Feb 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-7mamba
- automatic update by autodist

* Wed Jan 25 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-6mamba
- automatic update by autodist

* Sun Sep 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-5mamba
- automatic update by autodist

* Fri Aug 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-4mamba
- automatic update by autodist

* Wed Apr 20 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-3mamba
- kernel 2.6.38 rebuild

* Mon Feb 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-2mamba
- automatic update by autodist

* Fri Dec 17 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-1mamba
- package created out of kernel-extramodules
